<?php

declare(strict_types=1);

namespace App\Listeners;

use App\Events\UserLoggedIn;
use Illuminate\Auth\Events\Login;

/**
 * Class LaravelLoginEventListener
 */
final class LaravelLoginEventListener
{
    public function handle(Login $event): void
    {
        event(new UserLoggedIn($event->user, now()));
    }
}
